Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001256TestLinkGeneralpublic2008-01-05 03:262008-11-07 19:47
Reportersbouffard 
Assigned Toazl 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.1 
Fixed in Version1.8 Beta 1 
Summary0001256: TestLink - API: The reportTCResult web method accepts a "note" parameter but does not actually persist it
DescriptionWhen calling the reportTCResult web method and passing it a "note" parameter, the note will not get persisted in the DB.

I looked in the file xmlrpc.php in the method _insertResultToDB() and, as a metter of fact, there is no code in there in order to actually insert the note in the DB.

Thanks,
Sebastien Bouffard
sbouffard@expedia.com
Additional InformationI did a "dirty" fix for this and it was pretty straight-forward. So this makes me think that somehow, insertion of the notes was simply overlooked.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version5.02
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002872)
schlundus (reporter)
2008-01-05 04:20

@Asiel: please have a look, should be simple
(0002888)
azl (administrator)
2008-01-08 06:40

This has been fixed and committed to CVS HEAD. The paramter name has also been changed to "notes" to be consistent with the rest of TL.

Please check out the next nightly build to verify this fix. http://testlink.org/cvs_tarballs/ [^]
(0003334)
azl (administrator)
2008-03-04 02:55

I found out this somehow wasn't actually committed before. The change is definitely in cvs now so you can check it out.

- Issue History
Date Modified Username Field Change
2008-01-05 03:26 sbouffard New Issue
2008-01-05 03:26 sbouffard PHP Version => 5.02
2008-01-05 04:20 schlundus Status new => assigned
2008-01-05 04:20 schlundus Assigned To => azl
2008-01-05 04:20 schlundus Note Added: 0002872
2008-01-05 04:20 schlundus Status assigned => feedback
2008-01-08 06:40 azl Status feedback => resolved
2008-01-08 06:40 azl Fixed in Version => next development version (1.8 Beta1)
2008-01-08 06:40 azl Resolution open => fixed
2008-01-08 06:40 azl Note Added: 0002888
2008-03-04 02:55 azl Note Added: 0003334
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker